# Module MMTK.DCD

## Functions

- writeDCDPDB()

  Write the configurations in conf_list (any sequence of Configuration objects) to a newly created DCD trajectory file with the name dcd_file_name. Also write the first configuration to a PDB file with the name pdb_file_name; this PDB file has the same atom order as the DCD file. The time step between configurations can be specified by delta_t.

- writeVelocityDCDPDB()

  Write the velocities in vel_list (any sequence of ParticleVector objects) to a newly created DCD trajectory file with the name dcd_file_name. Also write the first configuration to a PDB file with the name pdb_file_name; this PDB file has the same atom order as the DCD file. The time step between configurations can be specified by delta_t.

## Class DCDReader: Reader for DCD trajectories (CHARMM/X-Plor)

A DCDReader reads a DCD trajectory and "plays back" the data as if it were generated directly by an integrator. The universe for which the DCD file is read must be perfectly compatible with the data in the file, including an identical internal atom numbering. This can be guaranteed only if the universe was created from a PDB file that is compatible with the DCD file without leaving out any part of the system.

Constructor: DCDReader(universe, **options)

universe

  the universe for which the information from the trajectory file is read

options

  keyword options:

  - dcd_file: the name of the DCD trajecory file to be read

  - actions: a list of actions to be executed periodically (default is none)

Reading is started by calling the reader object. All the keyword options listed above can be specified either when creating the reader or when calling it.

The following data categories and variables are available for output:

- category "time": time

- category "configuration": configuration